EDIT - bug #4624

Opening a synonym without a taxon in a classification shows duplicate errors
01/26/2015 05:33 PM - Andreas Mdller

Status: Worksforme Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour

Target version:

Severity: normal Found in Version:

Description
Happened during caryophyllales deleting of some taxa and names

Offnen eines Synonym-Suchergebnisses, das nicht(?) an einem Taxon hangt, ohne TaxonNode, fiihrt erst zu Unexpected Error,
dann zu "normaler" Fehlermeldung, dass dies nicht gedffnet werden kann.

History

#1 - 01/28/2015 02:20 PM - Katja Luther

- Status changed from New to In Progress

testen, ob es mit orphaned Taxon zu tun hat???

#2 - 01/28/2015 02:28 PM - Katja Luther
- Target version deleted ()

- Priority changed from Priority08 to Priority12

#3 - 05/12/2018 08:03 PM - Andreas Miiller
- Description updated
- Priority changed from Priority12 to Priority14

- Target version changed from Reviewed Next Major Release to Release 5.1

Is this still an open issue?

#4 - 05/12/2018 08:03 PM - Andreas Miuller

- Private changed from Yes to No

#5 - 05/14/2018 02:40 PM - Katja Luther

Synonyms without taxa can not be found by the search, only by the bulk editor.

#6 - 05/14/2018 02:46 PM - Katja Luther

- Related to feature request #7411: adapt mediaCreated in taxeditor to timePeriod added

#7 - 05/14/2018 04:24 PM - Andreas Miiller
- Status changed from In Progress to Worksforme

- Target version deleted (Release 5.1)

As far as | remember the ticket was not about orphaned synonyms but about synonyms attached to orphaned taxa.
These can be found by

SELECT acc.id taxonId, n.id nameId, n.nameCache, n.titleCache , synName.nameCache
FROM TaxonBase acc LEFT OUTER JOIN TaxonName n ON acc.name_id = n.id
INNER JOIN TaxonBase syn ON syn.acceptedTaxon_id = acc.id LEFT OUTER JOIN TaxonName synName ON syn.name_id =
synName.id
WHERE acc.id NOT IN (SELECT tn.taxon_id FROM TaxonNode tn WHERE tn.taxon_id IS NOT NULL)
AND acc.DTYPE = 'Taxon'
In Caryophyllales we 1 such case: Arenaria subg. Solitaria which is attached to Solitaria (McNeill) Sadeghian & Zarre.
It can be found by search but opening only gives a message, that the accepted taxon is not in a classification - but no exception is thrown anymore.

So | think we can close this ticket.

#8 - 05/14/2018 08:05 PM - Katja Luther
- Related to deleted (feature request #7411: adapt mediaCreated in taxeditor to timePeriod)
